Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.jdbc.db
Class DB2

    java.lang.Object
      com.novell.nds.dirxml.driver.jdbc.db.DB2

public abstract class DB2
extends Object

DB2 JDBC library.

Library of functions/procedures for DB2 UDB that supports the shipping IDM JDBC driver preconfigurations.

This class MUST be installed on the database server for the shipping preconfigurations to work. It MUST also be compiled for the 1.1.8 JVM when deployed on a DB2 UDB 7 server.

NOTE: DB2 UDB Version 7 doesn't allow functions to execute any SQL statements, even if the SQL is read-only.

Field Summary
`static int` | `LEN_TIMESTAMP` The length of a default DB2 timestamp (e.g. "`2002-01-01-00.00.00.000000`")

Method Summary
`static void` | `PROC_CLEANUPLOG(String I_SCHEMA)` Stored Procedure used by preconfigured driver(s) to move processed rows from the log table to the processed table.
`static void` | `PROC_IDG(long[] O_IDG)` Stored procedure used by preconfigured driver(s) to retrieve the last generated primary key for table INDIRECT.LAST_IDG.
`static void` | `PROC_IDU(long[] O_IDU)` Stored procedure used by preconfigured driver(s) to retrieve the last generated primary key for table INDIRECT.LAST_IDU.
`static String` | `TO_ODBC_TIMESTAMP(String timestamp)` Converts a default DB2 timestamp (e.g. "`2002-01-01-00.00.00.000000`") to ODBC cannonical format.
`static String` | `TOBASE64(byte[] bytes)` Base64-encodes `bytes`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEN_TIMESTAMP

    public static final int LEN_TIMESTAMP

  The length of a default DB2 timestamp (e.g. "`2002-01-01-00.00.00.000000`")

  See Also:
    Constant Field Values

Method Detail

### TOBASE64

    public static String TOBASE64(byte[] bytes)
                           throws SQLException

  Base64-encodes `bytes`.

  Parameters:
    `bytes` - may be `null`; may be empty
  Returns:
    may return `null`
  Throws:
    `SQLException`

### TO_ODBC_TIMESTAMP

    public static String TO_ODBC_TIMESTAMP(String timestamp)

  Converts a default DB2 timestamp (e.g. "`2002-01-01-00.00.00.000000`") to ODBC cannonical format.

  Parameters:
    `timestamp` - may be `null`
  Returns:
    may return `null`

### PROC_IDG

    public static void PROC_IDG(long[] O_IDG)
                         throws SQLException

  Stored procedure used by preconfigured driver(s) to retrieve the last generated primary key for table INDIRECT.LAST_IDG.

  Parameters:
    `O_IDG` - may be `null`; may contain `null`
  Throws:
    `SQLException`

### PROC_IDU

    public static void PROC_IDU(long[] O_IDU)
                         throws SQLException

  Stored procedure used by preconfigured driver(s) to retrieve the last generated primary key for table INDIRECT.LAST_IDU.

  Parameters:
    `O_IDU` - may be `null`; may contain `null`
  Throws:
    `SQLException`

### PROC_CLEANUPLOG

    public static void PROC_CLEANUPLOG(String I_SCHEMA)
                                throws SQLException

  Stored Procedure used by preconfigured driver(s) to move processed rows from the log table to the processed table.

  Parameters:
    `I_SCHEMA` - the schema name of the log/processed tables; may be `null`
  Throws:
    `SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD